\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Number Types

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
CORE::BigFloat Class Reference
CORE

`#include <CGAL/CORE_BigFloat.h>`

## Definition

The class `CORE::BigFloat` is a variable precision floating-point type.

Rounding mode and precision (i.e. mantissa length) of `CORE::BigFloat` can be set. Since it also carries the error of a computed value.

This number type is provided by the Core library [3].

CGAL defines the necessary functions so that this class complies to the requirements on number types.

Is Model Of:

  `FieldWithKthRoot`

  `RealEmbeddable`

  `FromDoubleConstructible`